name: bookInfoWithoutK8s.yaml
services:
  bookinfo-vs:
    name: bookinfo-vs
    type: VirtualService
    namespace: default
    model: istio
    settings:
      gateways:
      - sample-app-gateway
      hosts:
      - book
      http:
      - cors Policy:
          allow Credentials: false
        fault:
          delay:
            fixedDelay: 7s
            percentage:
              value: 100
        match:
        - ignore Uri Case: false
          uri:
            exact: /productpage
        - ignore Uri Case: false
          uri:
            prefix: /static
        - ignore Uri Case: false
          uri:
            exact: /login
        - ignore Uri Case: false
          uri:
            exact: /logout
        - ignore Uri Case: false
          uri:
            prefix: /api/v1/products
        retries:
          attempts: 2
          retry Remote Localities: false
        route:
        - destination:
            host: productpage
            port:
              number: 9080
    traits:
      meshmap:
        edges:
        - data:
            id: c8314d33-28cf-4ae9-8934-6c0701e99a96
            meatadata:
              port: 80
              protocol: TCP
            source: sample-app-gateway
            target: bookinfo-vs
        - data:
            id: 6e352f2e-bdbb-4f45-a77f-ace2629eda50
            meatadata:
              port: 80
              protocol: TCP
            source: bookinfo-vs
            target: productpage
        id: bookinfo-vs
        label: bookinfo-vs
        position:
          posX: 60.76374840468791
          posY: 252.91020252903866
  details:
    name: details
    type: Deployment
    apiVersion: apps/v1
    model: kubernetes
    settings:
      spec:
        replicas: 1
        selector:
          match Labels:
            deploy: istio
        template:
          metadata:
            labels:
              deploy: istio-book-info-details
              version: v1
          spec:
            containers:
            - image: docker.io/istio/examples-bookinfo-details-v1:1.16.4
              name: details
              ports:
              - container Port: 9080
                host Port: 9080
                protocol: TCP
    traits:
      meshmap:
        edges:
        - data:
            id: 2f4825cd-7230-4b85-8c64-75a0146ff966
            meatadata:
              port: 80
              protocol: TCP
            source: productpage
            target: details
        id: details
        label: details
        position:
          posX: 370.4806417507766
          posY: 354.42308525274734
  productpage:
    name: productpage
    type: Deployment
    apiVersion: apps/v1
    namespace: default
    model: kubernetes
    settings:
      spec:
        replicas: 1
        selector:
          match Labels:
            deploy: istio
        template:
          metadata:
            labels:
              deploy: istio-book-info-productpage
              version: v1
          spec:
            containers:
            - image: docker.io/istio/examples-bookinfo-productpage-v1:1.16.4
              name: productpage
              ports:
              - container Port: 9080
                host Port: 9080
                protocol: TCP
    traits:
      meshmap:
        edges:
        - data:
            id: 6e352f2e-bdbb-4f45-a77f-ace2629eda50
            meatadata:
              port: 80
              protocol: TCP
            source: bookinfo-vs
            target: productpage
        - data:
            id: 2f4825cd-7230-4b85-8c64-75a0146ff966
            meatadata:
              port: 80
              protocol: TCP
            source: productpage
            target: details
        id: productpage
        label: productpage
        position:
          posX: 156.51845840458358
          posY: 251.99096159520772
  ratings:
    name: ratings
    type: Deployment
    apiVersion: apps/v1
    model: kubernetes
    settings:
      spec:
        replicas: 1
        selector:
          match Labels:
            deploy: istio
        template:
          metadata:
            labels:
              deploy: istio-book-info-ratings
              version: v1
          spec:
            containers:
            - image: docker.io/istio/examples-bookinfo-ratings-v1:1.16.4
              name: ratings
              ports:
              - container Port: 9080
                host Port: 9080
                protocol: TCP
    traits:
      meshmap:
        edges:
        - data:
            id: e92609a8-fcce-4866-abf9-a7ec64f40795
            source: reviews-v3
            target: ratings
        id: ratings
        label: ratings
        position:
          posX: 649
          posY: 391
  reviews-v1:
    name: reviews-v1
    type: Deployment
    apiVersion: apps/v1
    model: kubernetes
    settings:
      spec:
        replicas: 1
        selector:
          match Labels:
            deploy: istio
        template:
          metadata:
            labels:
              custom.app: reviews
              deploy: istio-book-info-reviews-v1
              version: v1
          spec:
            containers:
            - image: docker.io/istio/examples-bookinfo-reviews-v1:1.16.4
              name: reviews-v1
              ports:
              - container Port: 9080
                host Port: 9080
                protocol: TCP
    traits:
      meshmap:
        edges: []
        id: reviews-v1
        label: reviews-v1
        parent: 7207724b-9e0f-4ee1-95aa-de844edd2941
        position:
          posX: 475.73105750943614
          posY: 91.09492322951635
  reviews-v2:
    name: reviews-v2
    type: Deployment
    apiVersion: apps/v1
    namespace: default
    model: kubernetes
    settings:
      spec:
        replicas: 1
        selector:
          match Labels:
            deploy: istio
        template:
          metadata:
            labels:
              custom.app: reviews
              deploy: istio-book-info-reviews-v2
              version: v2
          spec:
            containers:
            - image: docker.io/istio/examples-bookinfo-reviews-v2:1.16.4
              name: reviews-v2
              ports:
              - container Port: 9080
                host Port: 9080
                protocol: TCP
    traits:
      meshmap:
        edges: []
        id: reviews-v2
        label: reviews-v2
        parent: 7207724b-9e0f-4ee1-95aa-de844edd2941
        position:
          posX: 480.6820894938793
          posY: 152.15247972754568
  reviews-v3:
    name: reviews-v3
    type: Deployment
    apiVersion: apps/v1
    model: kubernetes
    settings:
      spec:
        replicas: 1
        selector:
          match Labels:
            deploy: istio
        template:
          metadata:
            labels:
              custom.app: reviews
              deploy: istio-book-info-reviews-v3
              version: v3
          spec:
            containers:
            - image: docker.io/istio/examples-bookinfo-reviews-v3:1.16.4
              name: reviews-v3
              ports:
              - container Port: 9080
                host Port: 9080
                protocol: TCP
    traits:
      meshmap:
        edges:
        - data:
            id: e92609a8-fcce-4866-abf9-a7ec64f40795
            source: reviews-v3
            target: ratings
        id: reviews-v3
        label: reviews-v3
        parent: 7207724b-9e0f-4ee1-95aa-de844edd2941
        position:
          posX: 487.1949722175878
          posY: 216.40590828780256
  sample-app-gateway:
    name: sample-app-gateway
    type: Gateway
    namespace: default
    model: istio
    settings:
      selector:
        istio: ingressgateway
      servers:
      - hosts:
        - bookinfo.meshery.io
        port:
          name: http
          number: 80
          protocol: HTTP
        tls:
          https Redirect: false
    traits:
      meshmap:
        edges:
        - data:
            id: c8314d33-28cf-4ae9-8934-6c0701e99a96
            meatadata:
              port: 80
              protocol: TCP
            source: sample-app-gateway
            target: bookinfo-vs
        id: sample-app-gateway
        label: sample-app-gateway
        position:
          posX: -26.034353929889633
          posY: 253.89302556409393
